Subject: Re: [PATCH 2/2] fast-import: add '--signed-commits=<mode>' option

From: Junio C Hamano <[email-masked]>
Date: Fri, 12 Sep 2025 07:09:19 -0700

Christian Couder <[email-masked]> writes:

> In V2, I have changed that paragraph in the commit message to:
>
>    "In a following commit, we are going to add a similar option to `git
>    fast-import`, which will be simpler, easier and cleaner if we can reuse
>    the 'enum sign_mode' defintion and parsing code."
>
> And in the cover letter I added the following:
>
> "In the future I also plan to add a similar `--signed-tags=<mode>` so
> that the import of tags can also be controlled. But I prefer to
> validate the general design of a single new option first."

I understood the intentions.

I am not sure if omitting signed-tags and doing only signed-commits
is a sensible choice, as it does not seem to reduce the patch load
any meaningful way.  Besides, because historically signed tags are
more heavily used than signed commits, if it made sense to do only
one of two, I would have somehow expected that tags would be done
first.

But anyway, I understood why this was done only half of the scope as
a first step.

Thanks.